---
title: Inspecting web app manifests
slug: Tools/Application/Manifests
tags:
  - Application
  - DevTools
  - Firefox
  - Guide
  - Manifest
---
<div>{{ToolsSidebar}}</div>

<p>In this article we will look at inspecting <a href="/en-US/docs/Web/Manifest">app manifests</a> using the Firefox DevTools <a href="/en-US/docs/Tools/Application">Application panel</a>.</p>

<p>When you open the Application panel’s <em>Manifest</em> view on a page that doesn't have an app manifest successfully deployed, you'll get the following output shown:</p>

<p><img alt="default manifest view saying that you need to add a manifest to inspect it." src="https://mdn.mozillademos.org/files/17315/no-manifest.jpg" style="border-style: solid; border-width: 1px; height: 656px; width: 900px;"></p>

<h2 id="Deploying_a_manifest">Deploying a manifest</h2>

<p>To get a manifest deployed successfully, you need to include a <code><a href="/en-US/docs/Web/HTML/Element/link">&lt;link&gt;</a></code> element in the <code><a href="/en-US/docs/Web/HTML/Element/head">&lt;head&gt;</a></code> of your document that points to your <code>.webmanifest</code> file:</p>

<pre class="brush: html notranslate">&lt;link rel="manifest" href="/manifest.webmanifest"&gt;</pre>

<p>The <code>.webmanifest</code> extension is recommended in the spec, and should be served with an <code>application/manifest+json</code> mime type, although browsers generally tend to support manifests with other appropriate extensions like <code>.json</code> (mime type: <code>application/json</code>).</p>

<p>You also need to make sure the JSON inside the file is of the correct format. You can test this using the <a href="https://manifest-validator.appspot.com/">Web Manifest Validator</a>.</p>

<h2 id="Inspecting_your_manifest">Inspecting your manifest</h2>

<p>If your manifest is deployed successfully, you should end up with a display like the following on the <em>Manifest</em> view:</p>

<p><img alt="manifest view showing a deployed manifest, with identity, presentation, and icon information shown" src="https://mdn.mozillademos.org/files/17316/manifest-deployed.jpg" style="border-style: solid; border-width: 1px; height: 804px; width: 900px;"></p>

<p>From here, you can inspect all the information in the manifest in an easy-to-digest way, making sure that it is all correct. It provides a link to the manifest file at the top which when clicked on brings up the JSON in a new tab.</p>

<p>It also loads all the icon files into the view, so you can see the relative size of them all, and any other information associated with them.</p>

<h2 id="List_of_manifest_members">List of manifest members</h2>

<p>We won't provide an exhaustive list of all the members that can appear in a web manifest here; you can already find that in our <a href="/en-US/docs/Web/Manifest#Members">web manifest documentation</a>.</p>
